# GLM: glm::gtx::polar_coordinates Namespace Reference

# glm::gtx::polar_coordinates Namespace Reference

GLM_GTX_polar_coordinates extension: Conversion from Euclidean space to polar space and revert. More...

## Functions

template<typename T >
detail::tvec3< T > | euclidean (const detail::tvec3< T > &polar)
| Convert Polar to Euclidean coordinates.
template<typename T >
detail::tvec3< T > | polar (const detail::tvec3< T > &euclidean)
| Convert Euclidean to Polar coordinates, x is the xz distance, y, the latitude and z the longitude.

## Detailed Description

GLM_GTX_polar_coordinates extension: Conversion from Euclidean space to polar space and revert.

## Function Documentation

detail::tvec3<T> glm::gtx::polar_coordinates::euclidean | ( | const detail::tvec3< T > & | polar | ) |

Convert Polar to Euclidean coordinates.

From GLM_GTX_polar_coordinates extension.

detail::tvec3<T> glm::gtx::polar_coordinates::polar | ( | const detail::tvec3< T > & | euclidean | ) |

Convert Euclidean to Polar coordinates, x is the xz distance, y, the latitude and z the longitude.

From GLM_GTX_polar_coordinates extension.